## yorick-optimpack 1.3.1%2bdfsg1

=== debian/changelog ===
yorick-optimpack (1.3.1+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #561487)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 22 Mar 2010 10:39:00 +0100

## yorick-optimpack 1.3.1+dfsg1

=== Makefile ===
 PREFIX=
 INSTALL=cp -p

 CC = gcc -pipe
#CPPFLAGS =  -I. -DOP_INTEGER=long -DOP_LOGICAL=int
 CPPFLAGS = -I.
 CFLAGS = -O2 -Wall

 RM = rm -f
 AR = ar
 ARFLAGS = rv

 LIBNAME = liboptimpack.a
 VERSION = 1.0
 OBJS = op_lnsrch.o op_utils.o op_vmlmb.o
 DIRS = yorick idl

all: $(LIBNAME)
install: $(LIBNAME)
	@if [ "x$(PREFIX)" = "x" ]; then \
	  echo "You must define PREFIX macro, e.g.:"; \
	  echo "   > make PREFIX=/usr/local install"; \
	else \
	  [ -d "$(PREFIX)/lib" ] || mkdir -p "$(PREFIX)/lib"; \
	  $(INSTALL) $(LIBNAME) "$(PREFIX)/lib/."; \
	  [ -d "$(PREFIX)/include" ] || mkdir -p "$(PREFIX)/include"; \
	  $(INSTALL) optimpack.h "$(PREFIX)/include/."; \
	  [ -d "$(PREFIX)/doc/OptimPack-$(VERSION)" ] || \
	    mkdir -p "$(PREFIX)/doc/OptimPack-$(VERSION)"; \
	  $(INSTALL) README AUTHOR LICENSE optimpack.h \
	    "$(PREFIX)/doc/OptimPack-$(VERSION)/."; \
	fi

clean:
	$(RM) *~ $(OBJS) $(LIBNAME)
	for dir in $(DIRS); do \
	  if [ -f "$$dir/Makefile" ]; then \
	    (cd $$dir; make clean); \
	  fi; \
	done

distclean: clean
	$(RM) $(LIBNAME)

$(LIBNAME): $(OBJS)
	$(RM) $(LIBNAME)
	$(AR) $(ARFLAGS) $(LIBNAME) $(OBJS)

op_lnsrch.o: op_lnsrch.c optimpack.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $(@:.o=.c) -o $@
op_vmlmb.o: op_vmlmb.c optimpack.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $(@:.o=.c) -o $@
op_cgmnb.o: op_cgmnb.c optimpack.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $(@:.o=.c) -o $@
op_utils.o: op_utils.c optimpack.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $(@:.o=.c) -o $@

=== debian/control ===
Source: yorick-optimpack
Section: math
Priority: extra
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1)
Standards-Version: 3.8.4
Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/optimpack.html

Package: yorick-optimpack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yorick (>= 1.6.02)
Description: optimization of large scale problems for the Yorick language
 OptimPack is a portable C library which implements algorithms for
 optimization of large scale problems with bound constraints. Large
 scale means some million variables (e.g. pixel values) or more.
 .
 The most important algorithm is VMLM-B: a variable metric method with
 limited memory requirements and, possibly, bound constraints on the
 parameters. The algorithm is based on limited memory BFGS updates
 with Moré & Thuente inexact line search and gradient projection to
 account for bounds.
 .
 This package contains a Yorick plug-in based on OptimPack.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

FC = gfortran
export FC

yorick/Makefile.orig:
	cp yorick/Makefile yorick/Makefile.orig

configure-stamp: yorick/Makefile.orig
	cd yorick; yorick -batch make.i
	touch configure-stamp

override_dh_auto_configure: configure-stamp

override_dh_auto_build:
	dh_auto_build
	make -C yorick

override_dh_auto_test:
	cd yorick; yorick -batch ../debian/check.i

override_dh_auto_install:
	dh_installyorick --no-make-install

override_dh_clean:
	dh_clean --exclude=yorick/OptimPack1-test.out.orig

override_dh_auto_clean: configure-stamp
	make -C yorick clean
	-mv yorick/Makefile.orig yorick/Makefile
	rm -f yorick/OptimPack1-test.out configure-stamp
	dh_auto_clean

overrides_dh_installdocs:
	dh_installdocs --exclude=README

%:
	dh  $@

## yorick-optimpack 1.3.2%2Bdfsg%2B1.4.0

=== debian/changelog ===
yorick-optimpack (1.3.2+dfsg+1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add missing build dependency on yorick-dev for command dh_installyorick.
  * Fix typo in debian/rules rules: overrides_dh_installdocs ⇒ 
    override_dh_installdocs

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jan 2025 10:06:47 +0100

yorick-optimpack (1.3.2+dfsg+1.4.0-1) unstable; urgency=low

  * New upstream release
  * Provide both the old OptimPack1 and the new optimpacklegacy interface.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 16 Jan 2017 16:46:00 +0100

yorick-optimpack (1.4.0~pre1+dfsg-1~exp0) experimental; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Sun, 08 Jan 2017 07:27:39 +0100

yorick-optimpack (1.3.2+dfsg-1) unstable; urgency=low

  * New upstream
  * Actually hand over maintenance to the science team
  * Harden

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 14:07:26 +0200

yorick-optimpack (1.3.1+dfsg1-2) unstable; urgency=low

  * Amend debian/control to abide by Debian Science Policy
  * Updated copyright
  * Patch Makefile instead of running yorick -batch make.i
  * Bump standards to 3.9.3
  * Harden

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 15:24:43 +0200

## yorick-optimpack 1.3.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: yorick-optimpack
-Section: math
+Section: science
 Priority: extra
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-optimpack.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-optimpack.git
 Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/optimpack.html
 
 Package: yorick-optimpack

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

FC = gfortran
export FC

override_dh_auto_build:
	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)"
	cd yorick; \
	  $(MAKE) COPT_DEFAULT="" \
	          Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	          Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	cd yorick; yorick -batch ../debian/check.i
endif

override_dh_auto_install:
	dh_installyorick --no-make-install

override_dh_clean:
	dh_clean --exclude=yorick/OptimPack1-test.out.orig

override_dh_auto_clean:
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean 
	rm -f yorick/OptimPack1-test.out

overrides_dh_installdocs:
	dh_installdocs --exclude=README

%:
	dh  $@

## yorick-optimpack 1.3.2+dfsg+1.4.0

=== Makefile ===
#
# Makefile --
#
# Makefile for OptimPackLegacy.
#
#------------------------------------------------------------------------------
#
# Copyright (c) 2003, 2016 Éric Thiébaut.
#
# This file is part of OptimPack <https://github.com/emmt/OptimPackLegacy>.
#
# OptimPack is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# OptimPack is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with OptimPack (file "LICENSE" in the top source directory); if not,
# write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
# Boston, MA 02111-1307 USA
#
#------------------------------------------------------------------------------

srcdir = .

VERSION = `sed < VERSION -e 's/ //g'`
SUBDIRS = yorick idl src

DISTRIB_SRC = $(srcdir)
DISTRIB_FILES = AUTHORS LICENSE Makefile NEWS.md README.md TODO.md \
    optimpack.bib

CODE_SRC = $(srcdir)/src
CODE_FILES = opl_algebra.c opl_lnsrch.c opl_vmlmb.c opl_utils.c \
     opl_limits.h  opl_private.h optimpacklegacy.h

YORICK_SRC = $(srcdir)/yorick
YORICK_FILES = Makefile opl_yorick.c optimpacklegacy.i \
    optimpacklegacy-start.i \
    optimpacklegacy-tests.i optimpacklegacy-tests.out

all:
	@echo "No default target"

distrib:
	@version=$(VERSION); \
	if test "x$$version" = "x"; then \
	  echo >&2 "bad VERSION"; \
	  return 1; \
	fi; \
	pkgdir=OptimPackLegacy-$$version; \
	archive=$$pkgdir.tar.bz2; \
	if test -e "$$pkgdir"; then \
	  echo >&2 "error: $$pkgdir already exists"; \
	  return 1; \
	fi; \
	if test -e "$$archive"; then \
	  echo >&2 "error: $$archive already exists"; \
	  return 1; \
	fi; \
	dstdir=$$pkgdir/yorick; \
	mkdir -p "$$dstdir"; \
	chmod 755 "$$dstdir"; \
	for file in $(YORICK_FILES); do \
	  src=$(YORICK_SRC)/$$file; \
	  dst=$$dstdir/$$file; \
	  cp -p "$$src" "$$dst"; \
	  chmod 644 "$$dst"; \
	done; \
	dstdir=$$pkgdir; \
	mkdir -p "$$dstdir"; \
	chmod 755 "$$dstdir"; \
	for file in $(DISTRIB_FILES); do \
	  src=$(DISTRIB_SRC)/$$file; \
	  dst=$$dstdir/$$file; \
	  cp -p "$$src" "$$dst"; \
	  chmod 644 "$$dst"; \
	done; \
	dst=$$dstdir/VERSION; \
	echo "$$version" >"$$dst"; \
	chmod 644 "$$dst"; \
	dstdir=$$pkgdir/src; \
	mkdir -p "$$dstdir"; \
	chmod 755 "$$dstdir"; \
	for file in $(CODE_FILES); do \
	  src=$(CODE_SRC)/$$file; \
	  dst=$$dstdir/$$file; \
	  cp -p "$$src" "$$dst"; \
	  chmod 644 "$$dst"; \
	done; \
	tar cf - "$$pkgdir" | bzip2 -9 > "$$archive"; \
	rm -rf "$$pkgdir"; \
	echo "archive $$archive created"; \
	return 0

clean:
	$(RM) *~
	for dir in $(SUBDIRS); do \
	  if [ -f "$$dir/Makefile" ]; then \
	    (cd $$dir; make clean); \
	  fi; \
	done

distclean: clean
	for dir in $(SUBDIRS); do \
	  if [ -f "$$dir/Makefile" ]; then \
	    (cd $$dir; make distclean); \
	  fi; \
	done

=== src/Makefile ===
#
# Makefile --
#
# Makefile for OptimPackLegacy.
#
#------------------------------------------------------------------------------
#
# Copyright (c) 2003, 2016 Éric Thiébaut.
#
# This file is part of OptimPack <https://github.com/emmt/OptimPackLegacy>.
#
# OptimPack is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# OptimPack is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with OptimPack (file "LICENSE" in the top source directory); if not,
# write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
# Boston, MA 02111-1307 USA
#
#------------------------------------------------------------------------------

srcdir = .

PREFIX =
DESTDIR =
INSTALL = cp -p

CC = gcc -pipe
#CPPFLAGS =  -I. -DOP_INTEGER=long -DOP_LOGICAL=int
CPPFLAGS = -I.
CFLAGS = -O2 -Wall

RM = rm -f
AR = ar
ARFLAGS = rv

LIBNAME = liboptimpacklegacy.a
VERSION = `sed < $(srcdir)/../VERSION -e 's/ //g'`
OBJS = opl_algebra.o opl_lnsrch.o opl_utils.o opl_vmlmb.o

all: $(LIBNAME)

install: $(LIBNAME)
	@version=$(VERSION); \
	if test "x$(PREFIX)" = "x"; then \
	  echo "You must define PREFIX macro, e.g.:"; \
	  echo "   > make PREFIX=/usr/local install"; \
	else \
	  test -d "$(PREFIX)/lib" || mkdir -p "$(PREFIX)/lib"; \
	  $(INSTALL) $(LIBNAME) "$(PREFIX)/lib/."; \
	  test -d "$(PREFIX)/include" || mkdir -p "$(PREFIX)/include"; \
	  $(INSTALL) optimpacklegacy.h "$(PREFIX)/include/."; \
	  test -d "$(PREFIX)/doc/OptimPack-$${version}" || \
	    mkdir -p "$(PREFIX)/doc/OptimPack-$${version}"; \
	  $(INSTALL) $(srcdir)/../README.md $(srcdir)/../AUTHORS \
	    $(srcdir)/../LICENSE $(srcdir)/optimpacklegacy.h \
	    "$(PREFIX)/doc/OptimPack-$${version}/."; \
	fi

clean:
	$(RM) *~ $(OBJS) $(LIBNAME)

distclean: clean

$(LIBNAME): $(OBJS)
	$(RM) $(LIBNAME)
	$(AR) $(ARFLAGS) $(LIBNAME) $(OBJS)

%.o: %.c opl_private.h optimpacklegacy.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $(@:.o=.c) -o $@

=== yorick/Makefile ===
#                                                              -*- Makefile -*-
# Makefile --
#
#	Makefile for YOP (Yorick + OptimPack).
#
# History:
#	$Id: Makefile,v 1.2 2007/07/05 09:20:55 eric Exp $
#	$Log: Makefile,v $
#	Revision 1.2  2007/07/05 09:20:55  eric
#	Changed 'optimpack.i' into 'OptimPack1.i' to avoid confusion
#	with pure Yorick implementation of OptimPack.
#
#	Revision 1.1  2007/07/05 09:10:00  eric
#	Initial revision
#
#------------------------------------------------------------------------------

# Comment out the following definitions if you don't want LBFGS:
#LBFGS_OBJS = lbfgs.o lbfgs_wrapper.o
#LBFGS_I    = lbfgs.i

# Comment out the following definitions if you don't want LBFGSB:
#LBFGS_OBJS = lbfgsb.o lbfgsb_wrapper.o
#LBFGS_I    = lbfgsb.i

OPTIMPACK_OBJS = op_lnsrch.o op_utils.o op_vmlmb.o

# ---------------------------------------------------------------- Yorick setup
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/local/libexec/yorick
Y_EXE=/usr/local/libexec/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/local/libexec/yorick
Y_EXE_SITE=/usr/local/libexec/yorick

# ---------------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ----------------------------------------------------- macros for this package

PKG_NAME=OptimPack1
PKG_I=OptimPack1.i

OBJS= $(LBFGS_OBJS) $(LBFGSB_OBJS) $(OPTIMPACK_OBJS)

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS= -DOP_INTEGER=long
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=$(LBFGSB_I) $(LBFGS_I)
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# ------------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------------ targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

#op_lnsrch.o: ../op_lnsrch.c ../optimpack.h
#	$(CC) $(CPPFLAGS) $(CFLAGS) -c ../$(@:.o=.c) -o $@
#op_vmlmb.o: ../op_vmlmb.c ../optimpack.h
#	$(CC) $(CPPFLAGS) $(CFLAGS) -c ../$(@:.o=.c) -o $@
#op_cgmnb.o: ../op_cgmnb.c ../optimpack.h
#	$(CC) $(CPPFLAGS) $(CFLAGS) -c ../$(@:.o=.c) -o $@
#op_utils.o: ../op_utils.c ../optimpack.h
#	$(CC) $(CPPFLAGS) $(CFLAGS) -c ../$(@:.o=.c) -o $@

op_%.o: ../op_%.c ../optimpack.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<

# L-BGFS-B stuff:
lbfgsb_wrapper.o: lbfgsb_wrapper.c
	$(CC) $(CFLAGS) -c $<
lbfgsb.o: lbfgsb.f
	$(FC) $(FFLAGS) -c $<

# L-BGFS stuff:
lbfgs_wrapper.o: lbfgs_wrapper.c
	$(CC) $(CFLAGS) -c $<
lbfgs.o: lbfgs.f
	$(FC) $(FFLAGS) -c $<

# ------------------------------------------------------------- end of Makefile

=== debian/control ===
Source: yorick-optimpack
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13), yorick-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/yorick-optimpack
Vcs-Git: https://salsa.debian.org/science-team/yorick-optimpack.git
Homepage: https://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/OptimPack

Package: yorick-optimpack
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         yorick
Provides: yorick-optimpacklegacy
Description: optimization of large scale problems for the Yorick language
 OptimPack is a portable C library which implements algorithms for
 optimization of large scale problems with bound constraints. Large
 scale means some million variables (e.g. pixel values) or more.
 .
 The most important algorithm is VMLM-B: a variable metric method with
 limited memory requirements and, possibly, bound constraints on the
 parameters. The algorithm is based on limited memory BFGS updates
 with Moré & Thuente inexact line search and gradient projection to
 account for bounds.
 .
 This package contains two Yorick plug-ins: one based on the newer
 OptimPackLegacy version and, for backward compatibility, one based on the
 previous OptimPack1 implementation.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

FC = gfortran
export FC

override_dh_auto_build:
	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)"
	cd yorick; \
	  $(MAKE) COPT_DEFAULT="" \
	          Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	          Y_LDFLAGS="$(LDFLAGS)"
	cd optimpack1; $(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)"
	cd optimpack1/yorick; \
	  $(MAKE) COPT_DEFAULT="" \
	          Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	          Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	yorick -batch debian/check.i
endif

override_dh_auto_install:
	dh_installyorick --no-make-install

override_dh_clean:
	dh_clean --exclude=optimpack1/yorick/OptimPack1-test.out.orig

override_dh_auto_clean:
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
	cd optimpack1; $(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean
	rm -f yorick/OptimPack1-test.out

override_dh_installdocs:
	dh_installdocs --exclude=README

%:
	dh  $@

=== debian/watch ===
version=4
opts="dversionmangle=s/1.3.\d\+dfsg\+//, uversionmangle=s/-pre/~pre/, filenamemangle=s/.+\/release-?(\d\S+)\.tar\.gz/yorick-optimpack-$1\.tar\.gz/" \
  https://github.com/emmt/OptimpackLegacy/tags .*/release-(\d\S+)\.tar\.gz

## yorick-optimpack 1.4.0~pre1+dfsg

=== Makefile ===
--- 
+++ 
@@ -39,9 +39,27 @@
 CODE_FILES = opl_algebra.c opl_lnsrch.c opl_vmlmb.c opl_utils.c \
      opl_limits.h  opl_private.h optimpacklegacy.h
 
+IDL_SRC = $(srcdir)/idl
+IDL_FILES = \
+    Makefile \
+    op_ensure_double.pro \
+    op_ensure_long.pro \
+    op_idl.c \
+    op_idl.h \
+    op_init.pro \
+    op_last_error.pro \
+    op_test.pro \
+    op_vmlmb_msg.pro \
+    op_vmlmb.pro \
+    op_vmlmb_setup.pro \
+    op_wrapper.c \
+    README
+
+IDL_CONTRIB_SRC = $(srcdir)/idl/contrib
+IDL_CONTRIB_FILES = fmin_op.pro Makefile.OptimPack
+
 YORICK_SRC = $(srcdir)/yorick
 YORICK_FILES = Makefile opl_yorick.c optimpacklegacy.i \
-    optimpacklegacy-start.i \
     optimpacklegacy-tests.i optimpacklegacy-tests.out
 
 all:
@@ -63,6 +81,24 @@
 	  echo >&2 "error: $$archive already exists"; \
 	  return 1; \
 	fi; \
+	dstdir=$$pkgdir/idl; \
+	mkdir -p "$$dstdir"; \
+	chmod 755 "$$dstdir"; \
+	for file in $(IDL_FILES); do \
+	  src=$(IDL_SRC)/$$file; \
+	  dst=$$dstdir/$$file; \
+	  cp -p "$$src" "$$dst"; \
+	  chmod 644 "$$dst"; \
+	done; \
+	dstdir=$$pkgdir/idl/contrib; \
+	mkdir -p "$$dstdir"; \
+	chmod 755 "$$dstdir"; \
+	for file in $(IDL_CONTRIB_FILES); do \
+	  src=$(IDL_CONTRIB_SRC)/$$file; \
+	  dst=$$dstdir/$$file; \
+	  cp -p "$$src" "$$dst"; \
+	  chmod 644 "$$dst"; \
+	done; \
 	dstdir=$$pkgdir/yorick; \
 	mkdir -p "$$dstdir"; \
 	chmod 755 "$$dstdir"; \

=== src/Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	  $(INSTALL) optimpacklegacy.h "$(PREFIX)/include/."; \
 	  test -d "$(PREFIX)/doc/OptimPack-$${version}" || \
 	    mkdir -p "$(PREFIX)/doc/OptimPack-$${version}"; \
-	  $(INSTALL) $(srcdir)/../README.md $(srcdir)/../AUTHORS \
+	  $(INSTALL) $(srcdir)/../README $(srcdir)/../AUTHORS \
 	    $(srcdir)/../LICENSE $(srcdir)/optimpacklegacy.h \
 	    "$(PREFIX)/doc/OptimPack-$${version}/."; \
 	fi

=== yorick/Makefile ===
#
# Makefile --
#
# Makefile for YOPL (Yorick + OptimPackLegacy).
#
#------------------------------------------------------------------------------
#
# Copyright (c) 2003, 2016 Éric Thiébaut.
#
# This file is part of OptimPack <https://github.com/emmt/OptimPackLegacy>.
#
# OptimPack is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# OptimPack is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with OptimPack (file "LICENSE" in the top source directory); if not,
# write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
# Boston, MA 02111-1307 USA
#
#------------------------------------------------------------------------------

srcdir = .

# ---------------------------------------------------------------- Yorick setup
# these values filled in by `yorick -batch make.i`
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# ---------------------------------------------------------- optimization flags

# options for make command line, e.g. `make COPT=-g TGT=exe`
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ----------------------------------------------------- macros for this package

PKG_NAME=optimpacklegacy
PKG_I=optimpacklegacy.i

OBJS= opl_algebra.o opl_lnsrch.o opl_utils.o opl_vmlmb.o opl_yorick.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# `PKG_DEPLIBS=-Lsomedir -lsomelib` for dependencies of this package
PKG_DEPLIBS=
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS= -DOPL_INTEGER=long
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# ------------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

ifeq (,$(strip $(Y_MAKEDIR)))
$(info *** WARNING: Y_MAKEDIR not defined, you may run 'yorick -batch make.i' first)
else
include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)
endif

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------------ targets and rules for this package

# Directory where are the OptimPack sources:
OPT_SRC = $(srcdir)/../src

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

opl_yorick.o: $(srcdir)/opl_yorick.c $(OPT_SRC)/optimpacklegacy.h
	$(CC) $(CPPFLAGS) -I$(OPT_SRC) $(CFLAGS) -o $@ -c $<

opl_%.o: $(OPT_SRC)/opl_%.c $(OPT_SRC)/opl_private.h $(OPT_SRC)/optimpacklegacy.h
	$(CC) $(CPPFLAGS) -I$(OPT_SRC) $(CFLAGS) -o $@ -c $<

# ------------------------------------------------------------- end of Makefile

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,17 @@
 Source: yorick-optimpack
+Section: science
+Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Section: science
-Priority: optional
-Build-Depends: debhelper-compat (= 13), yorick-dev
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/science-team/yorick-optimpack
-Vcs-Git: https://salsa.debian.org/science-team/yorick-optimpack.git
+Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.05+dfsg-2~bpo40+1)
+Standards-Version: 3.9.8
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-optimpack.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-optimpack.git
 Homepage: https://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/OptimPack
 
 Package: yorick-optimpack
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         yorick
-Provides: yorick-optimpacklegacy
+Depends: ${shlibs:Depends}, ${misc:Depends}, yorick (>= 1.6.02)
 Description: optimization of large scale problems for the Yorick language
  OptimPack is a portable C library which implements algorithms for
  optimization of large scale problems with bound constraints. Large

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d$// \
 http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/optimpack.html \
 files/OptimPack-(.*).tar.bz2
